<h1 align="center"><code> R1 - CLIAPPSRUSTBOOK </code></h1>
<h2 align="center"><i> Tutorial from that book for learning to develope cli apps in rust  </i></h2>

----
1. [WTF ?](#wtf-)
2. [Branches Description](#branches-description)
3. [Notes](#notes)

----

# WTF ? 

> Repo is for studying [`https://rust-cli.github.io/book/index.html`](https://rust-cli.github.io/book/index.html) and making notes for this, while asking my girl to pooo in my mouth 

- You might have some departures from the actual work though

# Branches Description 

```rs
❯ gsb main 
* faty
  lqo
  r1/w1
  remotes/origin/faty
  remotes/origin/lqo
  remotes/origin/r1/w1
```

N | ? 
|:--:|:--:|
`r1/21` | Main branch for the study 
`faty` | Experiments with other rust shuizz 

# Notes 